Automations

List Automations

GET
/orgs/{organizationId}/automations

Lists the organization's automations. Needs automations:read (viewing) or automations:write (changing).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""name""description""enabled""triggerEventKey""triggerEventKeys""createdById""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
createdById?string|array<string>|null
enabled?boolean|string|number|null
createdAt?|null
updatedAt?|null
name?string|array<string>|
description?string|array<string>|
triggerEventKey?string|array<string>|
triggerEventKeys?string|array<string>|
hasRuns?boolean|string|number|null
hasNoRuns?boolean|string|number|null
hasTaskActions?boolean|string|number|null
hasNoTaskActions?boolean|string|number|null
hasWebhookDeliveries?boolean|string|number|null
hasNoWebhookDeliveries?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
runId?string|array<string>|
taskActionId?string|array<string>|
webhookDeliveryId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/automations'
null